Skip to main content
GET
/
models
cURL
curl --request GET \
  --url https://api.openpipe.ai/api/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "created": "<string>",
      "updated": "<string>",
      "openpipe": {
        "baseModel": "<string>",
        "hyperparameters": {},
        "datasetId": "<string>",
        "errorMessage": "<string>"
      },
      "contextWindow": 123,
      "maxCompletionTokens": 123,
      "capabilities": [],
      "pricing": {
        "chatIn": 123,
        "chatOut": 123
      },
      "owned_by": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.openpipe.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

object
enum<string>
required
Available options:
list
data
object[]
required